{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-ekman-egress
spec:
  endpointSelector: {}
  egress:
  - toCIDR:
    - 10.255.241.99/32
    - 10.255.241.100/32
    - 185.125.160.88/32
    - 185.125.160.89/32
    toPorts:
    - ports:
      - port: "443"
        protocol: TCP
      - port: "4443"
        protocol: TCP
      - port: "30443"
        protocol: TCP
      - port: "30080"
        protocol: TCP
{{- end }}
